Bug 14168 - Only link libreplace against libnsl and libsocket if requried
Only link libreplace against libnsl and libsocket if requried
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Build
4.11.0
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-10-21 15:11 UTC by Andreas Schneider
Modified: 2019-11-05 08:57 UTC (History)
2 users (show)

See Also:


Attachments
patch for 4.11 (3.39 KB, patch)
2019-10-23 08:39 UTC, Andreas Schneider
ab: review+
Details
patch for 4.10 (3.39 KB, patch)
2019-10-23 08:40 UTC, Andreas Schneider
ab: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2019-10-21 15:11:48 UTC
libreplace is currently linking against libsocket and libnsl but we do not use any function from it at least on Linux. So only link against it if libc doesn't provide the functions.
Comment 1 Andreas Schneider 2019-10-23 08:39:56 UTC
Created attachment 15562 [details]
patch for 4.11
Comment 2 Andreas Schneider 2019-10-23 08:40:19 UTC
Created attachment 15563 [details]
patch for 4.10
Comment 3 Alexander Bokovoy 2019-10-23 08:43:48 UTC
Comment on attachment 15562 [details]
patch for 4.11

LGTM
Comment 4 Andreas Schneider 2019-10-23 10:32:13 UTC
Karolin, could you please apply the patches to the relevant branches? Thanks!
Comment 5 Karolin Seeger 2019-10-30 10:05:44 UTC
(In reply to Andreas Schneider from comment #4)
Pushed to autobuild-v4-{11,10}-test.
Comment 6 Karolin Seeger 2019-11-05 08:57:39 UTC
(In reply to Karolin Seeger from comment #5)
Pushed to both branches.
Closing out bug report.

Thanks!